# Notification

## getNotification

> Get a notification by its NGUID.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/notification/{nguid}":{"get":{"description":"Get a notification by its NGUID.","tags":["notification"],"operationId":"getNotification","summary":"getNotification","parameters":[{"name":"nguid","in":"path","required":true,"description":"Notification GUID.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SingleNotificationResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetNotificationErrorResponse"}}}}}}}},"components":{"schemas":{"SingleNotificationResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/NotificationObject"}}},"NotificationObject":{"type":"object","properties":{"operation":{"$ref":"#/components/schemas/NotificationOperationEnum","description":"Operation for TGUID."},"tguid":{"type":"string","format":"uuid","description":"Transaction GUID."},"newTguid":{"type":"string","format":"uuid","description":"New Transaction GUID, when it was edited during quality analysis."},"pguid":{"type":"string","format":"uuid","description":"Person GUID."},"enrollPguid":{"type":"string","format":"uuid","description":"Enroll Person GUID, when an exception treatment is performed."},"status":{"type":"string","description":"Status for TGUID."},"sender":{"type":"string","description":"Sender of the notification. `null` if the sender was GBDS."},"uguid":{"type":"string","format":"uuid","description":"UL GUID."},"treatment":{"type":"string","description":"Exception treatment."},"update":{"type":"boolean","description":"`true` if it is an update."},"trusted":{"type":"boolean","description":"On enrollment notifications, `true` if it is a trusted enroll."},"origin":{"type":"string","enum":["API","GBDS"],"description":"Indicates notification origin."},"additionalData":{"type":"object","description":"Map of strings with additional data.","additionalProperties":{"type":"string"}},"relatedTransactions":{"description":"List of transactions related to the notification transaction.","type":"array","items":{"$ref":"#/components/schemas/PersonRelatedTransaction"}},"nguid":{"type":"string","format":"uuid","description":"Notification GUID."},"timestamp":{"type":"integer","format":"int64"},"acks":{"description":"List of clients that have acknowledged the notification.","type":"array","items":{"type":"object","properties":{"client":{"type":"string","description":"Client name. Example: ETR, BEST."},"timestamp":{"type":"integer","format":"int64"},"comments":{"type":"string"}}}}}},"NotificationOperationEnum":{"type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION"]},"PersonRelatedTransaction":{"type":"object","properties":{"status":{"description":"Status of the transaction related to the main transaction.","type":"string"},"tguid":{"description":"Transaction's global unique ID of the transaction related to the main transaction.","type":"string"},"pguid":{"description":"Person's global unique ID of the person related to the transaction related to the main transaction.","type":"string"},"operation":{"description":"Operation type of the transaction related to the main transaction.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]}}},"GetNotificationErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"code":{"type":"string"},"message":{"type":"string"},"meta":{"type":"object","properties":{"nguid":{"type":"string","format":"uuid"}}}}}}}}}}}
```

## listNotifications

> List notifications according to parameter filters.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/notification":{"get":{"description":"List notifications according to parameter filters.","tags":["notification"],"operationId":"listNotifications","summary":"listNotifications","parameters":[{"name":"start","in":"query","required":false,"description":"Start date to filter notifications by timestamp. <br> Format: **yyyy-MM-dd-HH-mm-ss**. *(optional)*","schema":{"type":"string","format":"date"}},{"name":"end","in":"query","required":false,"description":"End date to filter notifications by timestamp. <br> Format: **yyyy-MM-dd-HH-mm-ss**. *(optional)*","schema":{"type":"string","format":"date"}},{"name":"ackClient","in":"query","required":false,"description":"Return notifications that were acknowledged by this client. <br> If it starts with `!`, returns all notifications that WERE NOT not acknowledged by this client. *(optional)*","schema":{"type":"string"}},{"name":"tguid","in":"query","required":false,"description":"Filter notifications by TGUID. *(optional)*","schema":{"type":"string"}},{"name":"newTguid","in":"query","required":false,"description":"Filter notifications by new TGUID, when it was edited during quality analysis. *(optional)*","schema":{"type":"string"}},{"name":"pguid","in":"query","required":false,"description":"Filter notifications by PGUID. *(optional)*","schema":{"type":"string"}},{"name":"enrollPguid","in":"query","required":false,"description":"Filter notifications by enroll PGUID, when an exception treatment is performed. *(optional)*","schema":{"type":"string"}},{"name":"treatment","in":"query","required":false,"description":"Filter notifications by exception treatment. *(optional)*","schema":{"type":"string"}},{"name":"operation","in":"query","required":false,"description":"Filter notifications by operation. *(optional)* <br>\nThis parameter can be provided more than once to form a list.\n","schema":{"$ref":"#/components/schemas/NotificationOperationEnum"}},{"name":"status","in":"query","required":false,"description":"Filter notifications by status. *(optional)* <br>\nThis parameter can be provided more than once to form a list.\n","schema":{"type":"string"}},{"name":"sender","in":"query","required":false,"description":"Filter notifications by sender. *(optional)*","schema":{"type":"string"}},{"name":"uguid","in":"query","required":false,"description":"Filter notifications by UGUID (UL GUID). *(optional)*","schema":{"type":"string"}},{"name":"additionalData","in":"query","required":false,"description":"Filter notifications by additional data (any string inside of it). *(optional)*","schema":{"type":"string"}},{"name":"pageIndex","in":"query","required":false,"description":"Page index for pagination. Default: `0`. *(optional)*","schema":{"type":"integer"}},{"name":"pageSize","in":"query","required":false,"description":"Page size for pagination. Default: `20`. *(optional)*","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipleNotificationsResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListNotificationsErrorResponse"}}}}}}}},"components":{"schemas":{"NotificationOperationEnum":{"type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION"]},"MultipleNotificationsResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/NotificationObject"}},"pagination":{"type":"object","properties":{"total":{"type":"integer","description":"Total number of notifications with the given filters."},"count":{"type":"integer","description":"Number of notifications in the current page."},"pageSize":{"type":"integer","description":"Number of notifications per page."},"currentPage":{"type":"integer","description":"Current page number. Zero-based."},"totalPages":{"type":"integer","description":"Total number of pages. Starts at 1."}}}}},"NotificationObject":{"type":"object","properties":{"operation":{"$ref":"#/components/schemas/NotificationOperationEnum","description":"Operation for TGUID."},"tguid":{"type":"string","format":"uuid","description":"Transaction GUID."},"newTguid":{"type":"string","format":"uuid","description":"New Transaction GUID, when it was edited during quality analysis."},"pguid":{"type":"string","format":"uuid","description":"Person GUID."},"enrollPguid":{"type":"string","format":"uuid","description":"Enroll Person GUID, when an exception treatment is performed."},"status":{"type":"string","description":"Status for TGUID."},"sender":{"type":"string","description":"Sender of the notification. `null` if the sender was GBDS."},"uguid":{"type":"string","format":"uuid","description":"UL GUID."},"treatment":{"type":"string","description":"Exception treatment."},"update":{"type":"boolean","description":"`true` if it is an update."},"trusted":{"type":"boolean","description":"On enrollment notifications, `true` if it is a trusted enroll."},"origin":{"type":"string","enum":["API","GBDS"],"description":"Indicates notification origin."},"additionalData":{"type":"object","description":"Map of strings with additional data.","additionalProperties":{"type":"string"}},"relatedTransactions":{"description":"List of transactions related to the notification transaction.","type":"array","items":{"$ref":"#/components/schemas/PersonRelatedTransaction"}},"nguid":{"type":"string","format":"uuid","description":"Notification GUID."},"timestamp":{"type":"integer","format":"int64"},"acks":{"description":"List of clients that have acknowledged the notification.","type":"array","items":{"type":"object","properties":{"client":{"type":"string","description":"Client name. Example: ETR, BEST."},"timestamp":{"type":"integer","format":"int64"},"comments":{"type":"string"}}}}}},"PersonRelatedTransaction":{"type":"object","properties":{"status":{"description":"Status of the transaction related to the main transaction.","type":"string"},"tguid":{"description":"Transaction's global unique ID of the transaction related to the main transaction.","type":"string"},"pguid":{"description":"Person's global unique ID of the person related to the transaction related to the main transaction.","type":"string"},"operation":{"description":"Operation type of the transaction related to the main transaction.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]}}},"ListNotificationsErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"code":{"type":"string"},"message":{"type":"string"}}}}}}}}}
```

## getFinalNotificationByPguid

> Get the last notification with a final enroll status for a PGUID. Using the provided PGUID, this method will search for all notifications with operation \`ENROLL\` or \`DELETE\` and will return the last enroll notification. It may be: - Delete notification for PGUID - Last enrolled notification - Last enroll exception notification (not update) - Last pending enroll notification (not update)

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/notification/final/{pguid}":{"get":{"description":"Get the last notification with a final enroll status for a PGUID. Using the provided PGUID, this method will search for all notifications with operation `ENROLL` or `DELETE` and will return the last enroll notification. It may be: - Delete notification for PGUID - Last enrolled notification - Last enroll exception notification (not update) - Last pending enroll notification (not update)","tags":["notification"],"operationId":"getFinalNotificationByPguid","summary":"getFinalNotificationByPguid","parameters":[{"name":"pguid","in":"path","required":true,"description":"Person GUID.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SingleNotificationResponse"}}}}}}}},"components":{"schemas":{"SingleNotificationResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/NotificationObject"}}},"NotificationObject":{"type":"object","properties":{"operation":{"$ref":"#/components/schemas/NotificationOperationEnum","description":"Operation for TGUID."},"tguid":{"type":"string","format":"uuid","description":"Transaction GUID."},"newTguid":{"type":"string","format":"uuid","description":"New Transaction GUID, when it was edited during quality analysis."},"pguid":{"type":"string","format":"uuid","description":"Person GUID."},"enrollPguid":{"type":"string","format":"uuid","description":"Enroll Person GUID, when an exception treatment is performed."},"status":{"type":"string","description":"Status for TGUID."},"sender":{"type":"string","description":"Sender of the notification. `null` if the sender was GBDS."},"uguid":{"type":"string","format":"uuid","description":"UL GUID."},"treatment":{"type":"string","description":"Exception treatment."},"update":{"type":"boolean","description":"`true` if it is an update."},"trusted":{"type":"boolean","description":"On enrollment notifications, `true` if it is a trusted enroll."},"origin":{"type":"string","enum":["API","GBDS"],"description":"Indicates notification origin."},"additionalData":{"type":"object","description":"Map of strings with additional data.","additionalProperties":{"type":"string"}},"relatedTransactions":{"description":"List of transactions related to the notification transaction.","type":"array","items":{"$ref":"#/components/schemas/PersonRelatedTransaction"}},"nguid":{"type":"string","format":"uuid","description":"Notification GUID."},"timestamp":{"type":"integer","format":"int64"},"acks":{"description":"List of clients that have acknowledged the notification.","type":"array","items":{"type":"object","properties":{"client":{"type":"string","description":"Client name. Example: ETR, BEST."},"timestamp":{"type":"integer","format":"int64"},"comments":{"type":"string"}}}}}},"NotificationOperationEnum":{"type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION"]},"PersonRelatedTransaction":{"type":"object","properties":{"status":{"description":"Status of the transaction related to the main transaction.","type":"string"},"tguid":{"description":"Transaction's global unique ID of the transaction related to the main transaction.","type":"string"},"pguid":{"description":"Person's global unique ID of the person related to the transaction related to the main transaction.","type":"string"},"operation":{"description":"Operation type of the transaction related to the main transaction.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]}}}}}}
```

## getFinalNotificationByTguid

> Get the last notification with a final enroll status for a PGUID related to a TGUID. Using the provided TGUID, this method will get a PGUID related to it and then search for all notifications with operation \`ENROLL\` or \`DELETE\`. Then, it will return the last enroll notification. It may be: - Delete notification for PGUID - Last enrolled notification - Last enroll exception notification (not update) - Last pending enroll notification (not update)

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/notification/final/tguid/{tguid}":{"get":{"description":"Get the last notification with a final enroll status for a PGUID related to a TGUID. Using the provided TGUID, this method will get a PGUID related to it and then search for all notifications with operation `ENROLL` or `DELETE`. Then, it will return the last enroll notification. It may be: - Delete notification for PGUID - Last enrolled notification - Last enroll exception notification (not update) - Last pending enroll notification (not update)","tags":["notification"],"operationId":"getFinalNotificationByTguid","summary":"getFinalNotificationByTguid","parameters":[{"name":"tguid","in":"path","required":true,"description":"Transaction GUID.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SingleNotificationResponse"}}}}}}}},"components":{"schemas":{"SingleNotificationResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/NotificationObject"}}},"NotificationObject":{"type":"object","properties":{"operation":{"$ref":"#/components/schemas/NotificationOperationEnum","description":"Operation for TGUID."},"tguid":{"type":"string","format":"uuid","description":"Transaction GUID."},"newTguid":{"type":"string","format":"uuid","description":"New Transaction GUID, when it was edited during quality analysis."},"pguid":{"type":"string","format":"uuid","description":"Person GUID."},"enrollPguid":{"type":"string","format":"uuid","description":"Enroll Person GUID, when an exception treatment is performed."},"status":{"type":"string","description":"Status for TGUID."},"sender":{"type":"string","description":"Sender of the notification. `null` if the sender was GBDS."},"uguid":{"type":"string","format":"uuid","description":"UL GUID."},"treatment":{"type":"string","description":"Exception treatment."},"update":{"type":"boolean","description":"`true` if it is an update."},"trusted":{"type":"boolean","description":"On enrollment notifications, `true` if it is a trusted enroll."},"origin":{"type":"string","enum":["API","GBDS"],"description":"Indicates notification origin."},"additionalData":{"type":"object","description":"Map of strings with additional data.","additionalProperties":{"type":"string"}},"relatedTransactions":{"description":"List of transactions related to the notification transaction.","type":"array","items":{"$ref":"#/components/schemas/PersonRelatedTransaction"}},"nguid":{"type":"string","format":"uuid","description":"Notification GUID."},"timestamp":{"type":"integer","format":"int64"},"acks":{"description":"List of clients that have acknowledged the notification.","type":"array","items":{"type":"object","properties":{"client":{"type":"string","description":"Client name. Example: ETR, BEST."},"timestamp":{"type":"integer","format":"int64"},"comments":{"type":"string"}}}}}},"NotificationOperationEnum":{"type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION"]},"PersonRelatedTransaction":{"type":"object","properties":{"status":{"description":"Status of the transaction related to the main transaction.","type":"string"},"tguid":{"description":"Transaction's global unique ID of the transaction related to the main transaction.","type":"string"},"pguid":{"description":"Person's global unique ID of the person related to the transaction related to the main transaction.","type":"string"},"operation":{"description":"Operation type of the transaction related to the main transaction.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]}}}}}}
```

## trackNotificationsByPguid

> Get all notifications related to a PGUID. Using the provided PGUID, this method will return all notifications for the PGUID and associated to it by TGUID, PGUID, newTguid, and enrollPguid.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/notification/trackPguid/{pguid}":{"get":{"description":"Get all notifications related to a PGUID. Using the provided PGUID, this method will return all notifications for the PGUID and associated to it by TGUID, PGUID, newTguid, and enrollPguid.","tags":["notification"],"operationId":"trackNotificationsByPguid","summary":"trackNotificationsByPguid","parameters":[{"name":"pguid","in":"path","required":true,"description":"Person GUID.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipleNotificationsResponse"}}}}}}}},"components":{"schemas":{"MultipleNotificationsResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/NotificationObject"}},"pagination":{"type":"object","properties":{"total":{"type":"integer","description":"Total number of notifications with the given filters."},"count":{"type":"integer","description":"Number of notifications in the current page."},"pageSize":{"type":"integer","description":"Number of notifications per page."},"currentPage":{"type":"integer","description":"Current page number. Zero-based."},"totalPages":{"type":"integer","description":"Total number of pages. Starts at 1."}}}}},"NotificationObject":{"type":"object","properties":{"operation":{"$ref":"#/components/schemas/NotificationOperationEnum","description":"Operation for TGUID."},"tguid":{"type":"string","format":"uuid","description":"Transaction GUID."},"newTguid":{"type":"string","format":"uuid","description":"New Transaction GUID, when it was edited during quality analysis."},"pguid":{"type":"string","format":"uuid","description":"Person GUID."},"enrollPguid":{"type":"string","format":"uuid","description":"Enroll Person GUID, when an exception treatment is performed."},"status":{"type":"string","description":"Status for TGUID."},"sender":{"type":"string","description":"Sender of the notification. `null` if the sender was GBDS."},"uguid":{"type":"string","format":"uuid","description":"UL GUID."},"treatment":{"type":"string","description":"Exception treatment."},"update":{"type":"boolean","description":"`true` if it is an update."},"trusted":{"type":"boolean","description":"On enrollment notifications, `true` if it is a trusted enroll."},"origin":{"type":"string","enum":["API","GBDS"],"description":"Indicates notification origin."},"additionalData":{"type":"object","description":"Map of strings with additional data.","additionalProperties":{"type":"string"}},"relatedTransactions":{"description":"List of transactions related to the notification transaction.","type":"array","items":{"$ref":"#/components/schemas/PersonRelatedTransaction"}},"nguid":{"type":"string","format":"uuid","description":"Notification GUID."},"timestamp":{"type":"integer","format":"int64"},"acks":{"description":"List of clients that have acknowledged the notification.","type":"array","items":{"type":"object","properties":{"client":{"type":"string","description":"Client name. Example: ETR, BEST."},"timestamp":{"type":"integer","format":"int64"},"comments":{"type":"string"}}}}}},"NotificationOperationEnum":{"type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION"]},"PersonRelatedTransaction":{"type":"object","properties":{"status":{"description":"Status of the transaction related to the main transaction.","type":"string"},"tguid":{"description":"Transaction's global unique ID of the transaction related to the main transaction.","type":"string"},"pguid":{"description":"Person's global unique ID of the person related to the transaction related to the main transaction.","type":"string"},"operation":{"description":"Operation type of the transaction related to the main transaction.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]}}}}}}
```

## trackNotificationsByTguid

> Get all notifications related to a TGUID. Using the provided TGUID, this method will return all notifications for the TGUID and associated to it by PGUID, newTguid, and enrollPguid.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/notification/trackTguid/{tguid}":{"get":{"description":"Get all notifications related to a TGUID. Using the provided TGUID, this method will return all notifications for the TGUID and associated to it by PGUID, newTguid, and enrollPguid.","tags":["notification"],"operationId":"trackNotificationsByTguid","summary":"trackNotificationsByTguid","parameters":[{"name":"tguid","in":"path","required":true,"description":"Transaction GUID.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipleNotificationsResponse"}}}}}}}},"components":{"schemas":{"MultipleNotificationsResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/NotificationObject"}},"pagination":{"type":"object","properties":{"total":{"type":"integer","description":"Total number of notifications with the given filters."},"count":{"type":"integer","description":"Number of notifications in the current page."},"pageSize":{"type":"integer","description":"Number of notifications per page."},"currentPage":{"type":"integer","description":"Current page number. Zero-based."},"totalPages":{"type":"integer","description":"Total number of pages. Starts at 1."}}}}},"NotificationObject":{"type":"object","properties":{"operation":{"$ref":"#/components/schemas/NotificationOperationEnum","description":"Operation for TGUID."},"tguid":{"type":"string","format":"uuid","description":"Transaction GUID."},"newTguid":{"type":"string","format":"uuid","description":"New Transaction GUID, when it was edited during quality analysis."},"pguid":{"type":"string","format":"uuid","description":"Person GUID."},"enrollPguid":{"type":"string","format":"uuid","description":"Enroll Person GUID, when an exception treatment is performed."},"status":{"type":"string","description":"Status for TGUID."},"sender":{"type":"string","description":"Sender of the notification. `null` if the sender was GBDS."},"uguid":{"type":"string","format":"uuid","description":"UL GUID."},"treatment":{"type":"string","description":"Exception treatment."},"update":{"type":"boolean","description":"`true` if it is an update."},"trusted":{"type":"boolean","description":"On enrollment notifications, `true` if it is a trusted enroll."},"origin":{"type":"string","enum":["API","GBDS"],"description":"Indicates notification origin."},"additionalData":{"type":"object","description":"Map of strings with additional data.","additionalProperties":{"type":"string"}},"relatedTransactions":{"description":"List of transactions related to the notification transaction.","type":"array","items":{"$ref":"#/components/schemas/PersonRelatedTransaction"}},"nguid":{"type":"string","format":"uuid","description":"Notification GUID."},"timestamp":{"type":"integer","format":"int64"},"acks":{"description":"List of clients that have acknowledged the notification.","type":"array","items":{"type":"object","properties":{"client":{"type":"string","description":"Client name. Example: ETR, BEST."},"timestamp":{"type":"integer","format":"int64"},"comments":{"type":"string"}}}}}},"NotificationOperationEnum":{"type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION"]},"PersonRelatedTransaction":{"type":"object","properties":{"status":{"description":"Status of the transaction related to the main transaction.","type":"string"},"tguid":{"description":"Transaction's global unique ID of the transaction related to the main transaction.","type":"string"},"pguid":{"description":"Person's global unique ID of the person related to the transaction related to the main transaction.","type":"string"},"operation":{"description":"Operation type of the transaction related to the main transaction.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]}}}}}}
```

## acknowledgeNotification

> Acknowledge a notification, indicating that the client has processed it. This endpoint can be called even if the notification is already acknowledged. The notification will store the timestamp of acknowledgment and its comments.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/notification/ack":{"put":{"description":"Acknowledge a notification, indicating that the client has processed it. This endpoint can be called even if the notification is already acknowledged. The notification will store the timestamp of acknowledgment and its comments.","tags":["notification"],"operationId":"acknowledgeNotification","summary":"acknowledgeNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcknowledgeNotificationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcknowledgeNotificationErrorResponse"}}}}},"parameters":[]}}},"components":{"schemas":{"AcknowledgeNotificationRequest":{"type":"object","properties":{"nguid":{"type":"string","format":"uuid","description":"Notification GUID."},"client":{"type":"string","description":"Name of the client that is acknowledging the notification. Example: ETR, BEST."},"comments":{"type":"string","description":"Comments from the client about the notification. *(optional)*"}}},"AcknowledgeNotificationErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"code":{"type":"string"},"message":{"type":"string"},"meta":{"type":"object","properties":{"nguid":{"type":"string","format":"uuid"}}}}}}}}}}}
```

## acknowledgeNotificationByTguid

> Acknowledge all notifications related to a TGUID, indicating that the client has processed them. This endpoint can be called even if the notifications are already acknowledged. The notifications will store the timestamp of acknowledgment and the same comments.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/notification/ack/tguid":{"put":{"description":"Acknowledge all notifications related to a TGUID, indicating that the client has processed them. This endpoint can be called even if the notifications are already acknowledged. The notifications will store the timestamp of acknowledgment and the same comments.","tags":["notification"],"operationId":"acknowledgeNotificationByTguid","summary":"acknowledgeNotificationByTguid","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcknowledgeNotificationByTguidRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipleNotificationsResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcknowledgeNotificationErrorResponse"}}}}},"parameters":[]}}},"components":{"schemas":{"AcknowledgeNotificationByTguidRequest":{"type":"object","properties":{"tguid":{"type":"string","format":"uuid","description":"Notification GUID."},"client":{"type":"string","description":"Name of the client that is acknowledging the notification. Example: ETR, BEST."},"comments":{"type":"string","description":"Comments from the client about the notification. *(optional)*"}}},"MultipleNotificationsResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/NotificationObject"}},"pagination":{"type":"object","properties":{"total":{"type":"integer","description":"Total number of notifications with the given filters."},"count":{"type":"integer","description":"Number of notifications in the current page."},"pageSize":{"type":"integer","description":"Number of notifications per page."},"currentPage":{"type":"integer","description":"Current page number. Zero-based."},"totalPages":{"type":"integer","description":"Total number of pages. Starts at 1."}}}}},"NotificationObject":{"type":"object","properties":{"operation":{"$ref":"#/components/schemas/NotificationOperationEnum","description":"Operation for TGUID."},"tguid":{"type":"string","format":"uuid","description":"Transaction GUID."},"newTguid":{"type":"string","format":"uuid","description":"New Transaction GUID, when it was edited during quality analysis."},"pguid":{"type":"string","format":"uuid","description":"Person GUID."},"enrollPguid":{"type":"string","format":"uuid","description":"Enroll Person GUID, when an exception treatment is performed."},"status":{"type":"string","description":"Status for TGUID."},"sender":{"type":"string","description":"Sender of the notification. `null` if the sender was GBDS."},"uguid":{"type":"string","format":"uuid","description":"UL GUID."},"treatment":{"type":"string","description":"Exception treatment."},"update":{"type":"boolean","description":"`true` if it is an update."},"trusted":{"type":"boolean","description":"On enrollment notifications, `true` if it is a trusted enroll."},"origin":{"type":"string","enum":["API","GBDS"],"description":"Indicates notification origin."},"additionalData":{"type":"object","description":"Map of strings with additional data.","additionalProperties":{"type":"string"}},"relatedTransactions":{"description":"List of transactions related to the notification transaction.","type":"array","items":{"$ref":"#/components/schemas/PersonRelatedTransaction"}},"nguid":{"type":"string","format":"uuid","description":"Notification GUID."},"timestamp":{"type":"integer","format":"int64"},"acks":{"description":"List of clients that have acknowledged the notification.","type":"array","items":{"type":"object","properties":{"client":{"type":"string","description":"Client name. Example: ETR, BEST."},"timestamp":{"type":"integer","format":"int64"},"comments":{"type":"string"}}}}}},"NotificationOperationEnum":{"type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION"]},"PersonRelatedTransaction":{"type":"object","properties":{"status":{"description":"Status of the transaction related to the main transaction.","type":"string"},"tguid":{"description":"Transaction's global unique ID of the transaction related to the main transaction.","type":"string"},"pguid":{"description":"Person's global unique ID of the person related to the transaction related to the main transaction.","type":"string"},"operation":{"description":"Operation type of the transaction related to the main transaction.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]}}},"AcknowledgeNotificationErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"code":{"type":"string"},"message":{"type":"string"},"meta":{"type":"object","properties":{"nguid":{"type":"string","format":"uuid"}}}}}}}}}}}
```
